package PureMessage::Policy::Spam::Config::Bayes;

use strict;

sub validate {
    my ($pkg, $p) = @_;
    my %conf = (
        datadir                 => ['#str', undef],
	min_word_length		=> ['#int', 3],
	max_word_length		=> ['#int', 12],
	max_parsed_words	=> ['#int', 50_000],
	max_scoring_words	=> ['#int', 20],
	min_occurrences		=> ['#int', 5],
    );
    for my $key (keys %conf) {
	my $path = "plugin#bayes.$key";
	my ($t, $d) = @{$conf{$key}};
	$p->typedecl($path, $t) if defined $t;
	$p->default($path,  $d) if defined $d;
    }
    $PureMessage::Policy::Spam::Config::attr{bayes} = {
        datadir                 => ['str', 'datadir'],
	min_word_length		=> ['int', 'min-word-length'],
	max_word_length		=> ['int', 'max-word-length'],
	max_parsed_words	=> ['int', 'max-parsed-words'],
	max_scoring_words	=> ['int', 'max-scoring-words'],
	min_occurrences		=> ['int', 'min-word-occurrences'],
    };
}

1;
