package PureMessage::Policy::Spam::Config::Dnsbl;

use strict;

sub validate {
    my ($pkg, $p) = @_;
    my %conf = (
	skip_rbl_checks		=> ['#bool', 0], # should set enabled = no...
	relay_tests_only        => ['#bool', 0],
    );
    for my $key (keys %conf) {
	my $path = "plugin#dnsbl.$key";
	my ($t, $d) = @{$conf{$key}};
	$p->typedecl($path, $t) if defined $t;
	$p->default($path,  $d) if defined $d;
    }
    $PureMessage::Policy::Spam::Config::attr{dnsbl} = {
	skip_rbl_checks		=> ['int', 'skip-rbl-checks'],
	relay_tests_only        => ['int', 'relay-tests-only'],
    };
}

1;
