package PureMessage::Policy::Spam::Config::Net;

use strict;

sub validate {
    my ($pkg, $p) = @_;
    my %conf = (
	skip_dns_checks		=> ['#bool', 0],
        dns_servers             => ['#list', undef],
	dns_timeout		=> ['#duration', '2s'],
	dns_retry		=> ['#int', 1],
	dns_retrans		=> ['#int', 0],
	skip_rbl_checks		=> ['#bool', 0], # ignored
    );
    for my $key (keys %conf) {
	my $path = "plugin#net.$key";
	my ($t, $d) = @{$conf{$key}};
	$p->typedecl($path, $t) if defined $t;
	$p->default($path,  $d) if defined $d;
    }
    $PureMessage::Policy::Spam::Config::attr{net} = {
        dns_servers             => ['str', 'dns-servers'],
	dns_timeout		=> ['int', 'dns-timeout'],
	dns_retry		=> ['int', 'dns-retry'],
	dns_retrans		=> ['int', 'dns-retrans'],
	skip_dns_checks		=> ['int', 'skip-dns-checks'],
    };
}

1;
