package PureMessage::Policy::Spam::Config::Razor;

use strict;

sub validate {
    my ($pkg, $p) = @_;
    my %conf = (
	'config-dir'		=> ['#file', 'etc/razor'],
	keepalive		=> ['#bool', 0],
	loglevel		=> ['#int', 3],
    );
    for my $key (keys %conf) {
	my $path = "plugin#razor.$key";
	my ($t, $d) = @{$conf{$key}};
	$p->typedecl($path, $t) if defined $t;
	$p->default($path,  $d) if defined $d;
    }
    $PureMessage::Policy::Spam::Config::attr{razor} = {
	'config-dir'		=> ['str', 'config-dir'],
	keepalive		=> ['int', 'keepalive'],
	loglevel		=> ['int', 'loglevel'],
    };
}

1;
