package PureMessage::Policy::Spam::Config::Spamassassin;

use strict;

sub validate {
    my ($pkg, $p) = @_;

    # Figure out the default language:
    my $lang = $ENV{LC_ALL}
	    || $ENV{LANGUAGE}
	    || $ENV{LC_MESSAGES}
	    || $ENV{LANG}
	    || "en";

    my %conf = (
	ok_locales		=> ['#str', $lang],
    );
    for my $key (keys %conf) {
	my $path = "plugin#spamassassin.$key";
	my ($t, $d) = @{$conf{$key}};
	$p->typedecl($path, $t) if defined $t;
	$p->default($path,  $d) if defined $d;
    }
    $PureMessage::Policy::Spam::Config::attr{spamassassin} = {
	ok_locales		=> ['str', 'ok-locales',
				    sub { return split ' ', $_[0] } ],
    };
}

1;
