package PureMessage::Policy::Spam::Config::Spf;

use strict;

sub validate {
    my ($pkg, $p) = @_;
    my %conf = (
	skip_spf_checks		=> ['#bool', 1],
    );
    for my $key (keys %conf) {
	my $path = "plugin#spf.$key";
	my ($t, $d) = @{$conf{$key}};
	$p->typedecl($path, $t) if defined $t;
	$p->default($path,  $d) if defined $d;
    }
    $PureMessage::Policy::Spam::Config::attr{spf} = {
	skip_spf_checks		=> ['int', 'skip-spf-checks'],
    };
}

1;
