package PureMessage::Policy::Spam::Config::Sxl;

use strict;

sub validate {
    my ($pkg, $p) = @_;
    my %conf = (
	enable		=> ['#bool', 1],
	hashed_uris	=> ['#bool', 0],
    );
    for my $key (keys %conf) {
	my $path = "plugin#sxl.$key";
	my ($t, $d) = @{$conf{$key}};
	$p->typedecl($path, $t) if defined $t;
	$p->default($path,  $d) if defined $d;
    }
    $PureMessage::Policy::Spam::Config::attr{sxl} = {
	enable         		=> ['int', 'enable'],
	hashed_uris		=> ['int', 'hashed-uris'],
    };
}

1;
